Loading...
Searching...
No Matches
input.h File Reference
`#include "arc/input/keyboard.h"`
`#include "arc/input/mouse.h"`
`#include "arc/std/bool.h"`

Go to the source code of this file.

## Typedefs

typedef struct ARC_Input | ARC_Input
| predefien ARC_Input so as not to get circular reference

## Functions

void | ARC_Input_CreateWithEngineData (ARC_Input **input, ARC_EngineData *data)
void | ARC_Input_Destroy (ARC_Input *input)
ARC_Bool | ARC_Input_Update (ARC_Input *input)
ARC_Keyboard * | ARC_Input_GetKeyboard (ARC_Input *input)
ARC_Mouse * | ARC_Input_GetMouse (ARC_Input *input)

## Typedef Documentation

## ARC_Input

typedef struct ARC_Input ARC_Input

predefien ARC_Input so as not to get circular reference

Definition at line 17 of file input.h.

## Function Documentation

## ARC_Input_CreateWithEngineData()

void ARC_Input_CreateWithEngineData | ( | ARC_Input ** | input,
|  | ARC_EngineData * | data )

## ARC_Input_Destroy()

void ARC_Input_Destroy | ( | ARC_Input * | input | ) |

## ARC_Input_GetKeyboard()

ARC_Keyboard * ARC_Input_GetKeyboard | ( | ARC_Input * | input | ) |

## ARC_Input_GetMouse()

ARC_Mouse * ARC_Input_GetMouse | ( | ARC_Input * | input | ) |

## ARC_Input_Update()

ARC_Bool ARC_Input_Update | ( | ARC_Input * | input | ) |